Bug 200462 - ser startup script reports "OK" on startup failure
ser startup script reports "OK" on startup failure
Product: Fedora
Classification: Fedora
Component: ser (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-27 16:29 EDT by Hans Ulrich Niedermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-28 16:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2006-07-27 16:29:35 EDT
Description of problem:

  When ser cannot startup due to its ports already being opened by someone
  else, "service ser start" still reports "OK".

Version-Release number of selected component (if applicable):


How reproducible:

  Every time.

Steps to Reproduce:
1. Start software binding to port 5060, e.g. ekiga.
2. Run "service ser start" with a config binding to the same port.
Actual results:

  "service ser start" reports "[ OK ]", but ser does not start.

Expected results:

  "service ser start" reports "[ FAILED ]" as ser cannot start.
Comment 1 Andreas Thienemann 2007-08-28 16:34:44 EDT
Marking as WONTFIX. ser exits with errorlevel 0 even if it is not starting up

Upstream claimes, this will be fixed in the next major release...

Note You need to log in before you can comment on or make changes to this bug.